Name:           groovy-sandbox
Version:        1.8
Release:        7%{?dist}
Summary:        Groovy sandbox for executing untrusted Groovy scripts safely

License:        MIT
URL:            http://groovy-sandbox.kohsuke.org
Source0:        https://github.com/kohsuke/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.codehaus.groovy:groovy:1.8.9)
BuildRequires:  mvn(org.kohsuke:pom:pom:)
BuildRequires:  groovy18 >= 1.8.9-20

BuildArch:      noarch

%description
This project defines a Groovy CompilationCustomizer, which allows a
program to execute Groovy script in a restricted sandbox environment. It
is useful for applications that want to provide some degree of
scriptability to users, without allowing them to execute System.exit(0)
or any other undesirable operations.

This compile-time transformation modifies untrusted Groovy script in
such a way that every operation that can cause interactions with the
external world gets intercepted. This allows your code to examine and
deny executions. This includes every method call, object allocations,
property/attribute access, array access, and so on.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{name}-%{version}

%pom_xpath_remove 'pom:build/pom:extensions/pom:extension[pom:artifactId[text()="wagon-gitsite"]]'
%pom_remove_plugin :gmaven-plugin

%pom_change_dep :groovy ::1.8.9

%build
%mvn_build

# we don't have gmaven, compile groovy classes manually
pushd src/main/groovy/org/kohsuke/groovy/sandbox/
  groovy18c -cp ../../../../../../../target/classes *
  find org/ -type f -exec jar uf ../../../../../../../target/%{name}-%{version}.jar {} +
popd

%install
%mvn_install

%files -f .mfiles
%license LICENSE.md
%files javadoc -f .mfiles-javadoc
%license LICENSE.md

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 29 2015 Michal Srb <msrb@redhat.com> - 1.8-3
- Build against groovy18

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 30 2015 Michal Srb <msrb@redhat.com> - 1.8-1
- Initial packaging

